Vault
Add Media to Vault Album
Add media items to an existing vault album in Fansly.
Add one or more media items to a vault album in Fansly.
https://v1.apifansly.com/api/fansly
POST
/{accountId}/vault/albums/{albumId}/media
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Request Body
curl -X POST "https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}/media" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"mediaIds": [
"MEDIA_ID_1"
]
}'fetch("https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}/media", {
method: "POST",
headers: {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
mediaIds: [
"MEDIA_ID_1"
]
})
})
.then(response => response.json())
.then(data => console.log(data));import requests
url = "https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}/media"
headers = {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
payload = {
"mediaIds": [
"MEDIA_ID_1"
]
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
String jsonBody = "{\"mediaIds\":[\"MEDIA_ID_1\"]}";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}/media"))
.header("x-api-key", "YOUR_API_KEY")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(jsonBody))
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main()
{
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var jsonBody = "{\"mediaIds\":[\"MEDIA_ID_1\"]}";
var content = new StringContent(jsonBody, Encoding.UTF8, "application/json");
var response = await client.PostAsync("https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}/media", content);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);
}
}package main
import (
"bytes"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}/media"
jsonBody := []byte(`{"mediaIds":["MEDIA_ID_1"]}`)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonBody))
req.Header.Set("x-api-key", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Path Parameters
accountId*
stringThe unique identifier for the connected Fansly account.
albumId*
stringThe unique identifier of the vault album.
Request Body Parameters
mediaIds*
string[]Array of media IDs to add to the album.
Response
Success Response (201)
{
"statusCode": 201,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": [
{
"id": "ENTRY_ID_1",
"mediaId": "MEDIA_ID_1",
"mediaType": 1,
"albumId": "ALBUM_ID",
"accountId": "ACCOUNT_ID",
"createdAt": 1791989834234
},
{
"id": "ENTRY_ID_2",
"mediaId": "MEDIA_ID_2",
"mediaType": 1,
"albumId": "ALBUM_ID",
"accountId": "ACCOUNT_ID",
"createdAt": 1791989834234
}
]
}
},
"timestamp": "2026-10-14T14:57:14.326Z"
}